
INSERT INTO Improvements
			(Type,				Description,				Civilopedia,				Help,
			ArtDefineTag, FreshWaterMakesValid, RequiresFlatlandsOrFreshWater, PillageGold, PortraitIndex, IconAtlas, IgnoreOwnership)
SELECT		('IMPROVEMENT_FARM_MM_ADV'),	Description,	Civilopedia,				Help,
			ArtDefineTag, FreshWaterMakesValid, RequiresFlatlandsOrFreshWater, PillageGold, PortraitIndex, IconAtlas, 1
FROM Improvements WHERE Type = 'IMPROVEMENT_FARM';



INSERT INTO Improvement_Yields
			(ImprovementType,				YieldType,		Yield)
SELECT		('IMPROVEMENT_FARM_MM_ADV'),	YieldType,		Yield
FROM Improvement_Yields WHERE ImprovementType = 'IMPROVEMENT_FARM';



INSERT INTO Improvement_YieldPerEra
			(ImprovementType,				YieldType,		Yield)
SELECT		('IMPROVEMENT_FARM_MM_ADV'),	YieldType,		Yield
FROM Improvement_YieldPerEra WHERE ImprovementType = 'IMPROVEMENT_FARM';



INSERT INTO Improvement_AdjacentCityYields
			(ImprovementType,				YieldType,		Yield)
SELECT		('IMPROVEMENT_FARM_MM_ADV'),	YieldType,		Yield
FROM Improvement_AdjacentCityYields WHERE ImprovementType = 'IMPROVEMENT_FARM';


INSERT INTO Improvement_CoastalLandYields
			(ImprovementType,				YieldType,		Yield)
SELECT		('IMPROVEMENT_FARM_MM_ADV'),	YieldType,		Yield
FROM Improvement_CoastalLandYields WHERE ImprovementType = 'IMPROVEMENT_FARM';



INSERT INTO Improvement_FreshWaterYields
			(ImprovementType,				YieldType,		Yield)
SELECT		('IMPROVEMENT_FARM_MM_ADV'),	YieldType,		Yield
FROM Improvement_FreshWaterYields WHERE ImprovementType = 'IMPROVEMENT_FARM';



INSERT INTO Improvement_HillsYields
			(ImprovementType,				YieldType,		Yield)
SELECT		('IMPROVEMENT_FARM_MM_ADV'),	YieldType,		Yield
FROM Improvement_HillsYields WHERE ImprovementType = 'IMPROVEMENT_FARM';



INSERT OR REPLACE INTO Improvement_AdjacentMountainYieldChanges
			(ImprovementType,				YieldType,		Yield)
SELECT		('IMPROVEMENT_FARM_MM_ADV'),	YieldType,		Yield
FROM Improvement_AdjacentMountainYieldChanges WHERE ImprovementType = 'IMPROVEMENT_FARM';



INSERT OR REPLACE INTO Improvement_PrereqNatureYields
				(ImprovementType,				YieldType,		Yield)
SELECT			('IMPROVEMENT_FARM_MM_ADV'),	YieldType,		Yield
FROM Improvement_PrereqNatureYields WHERE ImprovementType = 'IMPROVEMENT_FARM';



INSERT OR REPLACE INTO Improvement_RiverSideYields
			(ImprovementType,			YieldType,		Yield)
SELECT		('IMPROVEMENT_FARM_MM_ADV'),	YieldType,	Yield
FROM Improvement_RiverSideYields WHERE ImprovementType = 'IMPROVEMENT_FARM';



INSERT INTO Improvement_ValidTerrains
			(ImprovementType, TerrainType)
SELECT		('IMPROVEMENT_FARM_MM_ADV'),	TerrainType
FROM Improvement_ValidTerrains WHERE ImprovementType = 'IMPROVEMENT_FARM';


INSERT INTO Improvement_ValidFeatures
			(ImprovementType, FeatureType)
SELECT		('IMPROVEMENT_FARM_MM_ADV'),	FeatureType
FROM Improvement_ValidFeatures WHERE ImprovementType = 'IMPROVEMENT_FARM';



INSERT INTO Improvement_ResourceTypes
			(ImprovementType,				ResourceType)
SELECT		('IMPROVEMENT_FARM_MM_ADV'),	ResourceType
FROM Improvement_ResourceTypes WHERE ImprovementType = 'IMPROVEMENT_FARM';



INSERT INTO Improvement_ResourceType_Yields
			(ImprovementType,				ResourceType,		YieldType,	Yield)
SELECT		('IMPROVEMENT_FARM_MM_ADV'),	ResourceType,		YieldType,	Yield
FROM Improvement_ResourceType_Yields WHERE ImprovementType = 'IMPROVEMENT_FARM';



INSERT INTO Improvement_TechYieldChanges
			(ImprovementType,				TechType,	YieldType,	Yield)
SELECT		('IMPROVEMENT_FARM_MM_ADV'),	TechType,	YieldType,	Yield
FROM Improvement_TechYieldChanges WHERE ImprovementType = 'IMPROVEMENT_FARM';



INSERT INTO Improvement_TechNoFreshWaterYieldChanges
			(ImprovementType,				TechType,	YieldType, Yield)
SELECT		('IMPROVEMENT_FARM_MM_ADV'),	TechType,	YieldType, Yield
FROM Improvement_TechNoFreshWaterYieldChanges WHERE ImprovementType = 'IMPROVEMENT_FARM';



INSERT INTO Improvement_TechFreshWaterYieldChanges
			(ImprovementType,				TechType,	YieldType, Yield)
SELECT		('IMPROVEMENT_FARM_MM_ADV'),	TechType,	YieldType, Yield
FROM Improvement_TechFreshWaterYieldChanges WHERE ImprovementType = 'IMPROVEMENT_FARM';

INSERT INTO Technologies
			(Type,					Cost,	Description,					Civilopedia,			Help,					Era,
			GridX,			GridY,	Quote,					PortraitIndex,			IconAtlas,						Disable)
VALUES		('TECH_FARM_MM_ADV',	-1,		'TXT_KEY_CIV_MM_GRASS_DESC',	'TXT_KEY_CIV_MM_GRASS_DESC',	'TXT_KEY_CIV_MM_GRASS_DESC',	'ERA_ANCIENT',
			0,				12,		'TXT_KEY_CIV_MM_GRASS_DESC',	0,						'CIV_COLOR_ATLAS_MM_GRASS',		1),
			('TECH_MINE_MM_ADV',	-1,		'TXT_KEY_CIV_MM_GRASS_DESC',	'TXT_KEY_CIV_MM_GRASS_DESC',	'TXT_KEY_CIV_MM_GRASS_DESC',	'ERA_ANCIENT',
			0,				12,		'TXT_KEY_CIV_MM_GRASS_DESC',	0,						'CIV_COLOR_ATLAS_MM_GRASS',		1),
			('TECH_CAMP_MM_ADV',	-1,		'TXT_KEY_CIV_MM_GRASS_DESC',	'TXT_KEY_CIV_MM_GRASS',	'TXT_KEY_CIV_MM_GRASS',	'ERA_ANCIENT',
			0,				12,		'TXT_KEY_CIV_MM_GRASS',	0,						'CIV_COLOR_ATLAS_MM_GRASS',		1);



INSERT INTO Builds
			(Type,					PrereqTech,				Time,	Description,	ImprovementType,	EntityEvent,	HotKey,	
			OrderPriority,	IconIndex,	IconAtlas)
SELECT		('BUILD_FARM_MM_ADV'),	('TECH_FARM_MM_ADV'),	Time,	Description,	('IMPROVEMENT_FARM_MM_ADV'),	EntityEvent,	HotKey,
			OrderPriority,	IconIndex,	IconAtlas
FROM Builds WHERE Type = 'BUILD_FARM';

INSERT INTO BuildFeatures
			(BuildType,					FeatureType,	PrereqTech,	Time,	Remove)
SELECT		('BUILD_FARM_MM_ADV'),	FeatureType,	PrereqTech,	Time,	Remove
FROM BuildFeatures WHERE BuildType = 'BUILD_FARM';




INSERT INTO Policy_ImprovementYieldChanges
		(PolicyType,		ImprovementType,			 YieldType,	 Yield)
SELECT	PolicyType,			('IMPROVEMENT_FARM_MM_ADV'), YieldType,	 Yield
FROM Policy_ImprovementYieldChanges WHERE ImprovementType = 'IMPROVEMENT_FARM';



INSERT INTO Belief_ImprovementYieldChanges
		(BeliefType,		ImprovementType,			 YieldType,	Yield)
SELECT
		BeliefType,			('IMPROVEMENT_FARM_MM_ADV'), YieldType,	Yield
FROM Belief_ImprovementYieldChanges WHERE ImprovementType = 'IMPROVEMENT_FARM';




CREATE TRIGGER MM_AdventurerFarm_Beliefs
AFTER INSERT ON Belief_ImprovementYieldChanges
WHEN NEW.ImprovementType = 'IMPROVEMENT_FARM'
BEGIN
	INSERT INTO Belief_ImprovementYieldChanges
			(BeliefType,		ImprovementType,			 YieldType,	 Yield)
	VALUES	(NEW.BeliefType,	'IMPROVEMENT_FARM_MM_ADV',   NEW.YieldType,	 NEW.Yield);
END;



CREATE TRIGGER MM_UP_AdventurerFarm_Beliefs
AFTER UPDATE ON Belief_ImprovementYieldChanges
WHEN NEW.ImprovementType = 'IMPROVEMENT_FARM'
BEGIN
	UPDATE Belief_ImprovementYieldChanges
	SET Yield = NEW.Yield WHERE ImprovementType = 'IMPROVEMENT_FARM_MM_ADV' AND YieldType = NEW.YieldType AND BeliefType = NEW.BeliefType;
END;




CREATE TRIGGER MM_RM_AdventurerFarm_Beliefs
AFTER DELETE ON Belief_ImprovementYieldChanges
WHEN OLD.ImprovementType = 'IMPROVEMENT_FARM'
BEGIN
	DELETE FROM Belief_ImprovementYieldChanges
	WHERE ImprovementType = 'IMPROVEMENT_FARM_MM_ADV' AND BeliefType = OLD.BeliefType;
END;




CREATE TRIGGER MM_AdventurerFarm_Policies
AFTER INSERT ON Policy_ImprovementYieldChanges
WHEN NEW.ImprovementType = 'IMPROVEMENT_FARM'
BEGIN
	INSERT INTO Policy_ImprovementYieldChanges
			(PolicyType,		ImprovementType,			 YieldType,	 Yield)
	VALUES	(NEW.PolicyType,	'IMPROVEMENT_FARM_MM_ADV',   NEW.YieldType,	 NEW.Yield);
END;



CREATE TRIGGER MM_UP_AdventurerFarm_Policies
AFTER UPDATE ON Policy_ImprovementYieldChanges
WHEN NEW.ImprovementType = 'IMPROVEMENT_FARM'
BEGIN
	UPDATE Policy_ImprovementYieldChanges
	SET Yield = NEW.Yield WHERE ImprovementType = 'IMPROVEMENT_FARM_MM_ADV' AND YieldType = NEW.YieldType;
END;




CREATE TRIGGER MM_RM_AdventurerFarm_Policies
AFTER DELETE ON Policy_ImprovementYieldChanges
WHEN OLD.ImprovementType = 'IMPROVEMENT_FARM'
BEGIN
	DELETE FROM Policy_ImprovementYieldChanges
	WHERE ImprovementType = 'IMPROVEMENT_FARM_MM_ADV' AND PolicyType = OLD.PolicyType;
END;



CREATE TRIGGER MM_AdventurerFarm_Update
AFTER UPDATE ON Improvements
WHEN NEW.Type = 'IMPROVEMENT_FARM'
BEGIN
	UPDATE Improvements
	SET Help = NEW.Help WHERE Type = 'IMPROVEMENT_FARM_MM_ADV';
END;

CREATE TRIGGER MM_AdventurerFarm_Yields
AFTER INSERT ON Improvement_Yields
WHEN NEW.ImprovementType = 'IMPROVEMENT_FARM'
BEGIN
	INSERT OR REPLACE INTO Improvement_Yields
				(ImprovementType,			YieldType,		Yield)
	VALUES		('IMPROVEMENT_FARM_MM_ADV',	NEW.YieldType,	NEW.Yield);
END;

CREATE TRIGGER MM_AdventurerFarm_YieldPerEra
AFTER INSERT ON Improvement_YieldPerEra
WHEN NEW.ImprovementType = 'IMPROVEMENT_FARM'
BEGIN
	INSERT OR REPLACE INTO Improvement_YieldPerEra
				(ImprovementType,			YieldType,		Yield)
	VALUES		('IMPROVEMENT_FARM_MM_ADV',	NEW.YieldType,	NEW.Yield);
END;

CREATE TRIGGER MM_AdventurerFarm_AdjacentCityYields
AFTER INSERT ON Improvement_AdjacentCityYields
WHEN NEW.ImprovementType = 'IMPROVEMENT_FARM'
BEGIN
	INSERT OR REPLACE INTO Improvement_AdjacentCityYields
				(ImprovementType,			YieldType,		Yield)
	VALUES		('IMPROVEMENT_FARM_MM_ADV',	NEW.YieldType,	NEW.Yield);
END;

CREATE TRIGGER MM_AdventurerFarm_CoastalLandYields
AFTER INSERT ON Improvement_CoastalLandYields
WHEN NEW.ImprovementType = 'IMPROVEMENT_FARM'
BEGIN
	INSERT OR REPLACE INTO Improvement_CoastalLandYields
				(ImprovementType,			YieldType,		Yield)
	VALUES		('IMPROVEMENT_FARM_MM_ADV',	NEW.YieldType,	NEW.Yield);
END;

CREATE TRIGGER MM_AdventurerFarm_Improvement_FreshWaterYields
AFTER INSERT ON Improvement_FreshWaterYields
WHEN NEW.ImprovementType = 'IMPROVEMENT_FARM'
BEGIN
	INSERT OR REPLACE INTO Improvement_FreshWaterYields
				(ImprovementType,			YieldType,		Yield)
	VALUES		('IMPROVEMENT_FARM_MM_ADV',	NEW.YieldType,	NEW.Yield);
END;

CREATE TRIGGER MM_AdventurerFarm_HillsYields
AFTER INSERT ON Improvement_HillsYields
WHEN NEW.ImprovementType = 'IMPROVEMENT_FARM'
BEGIN
	INSERT OR REPLACE INTO Improvement_HillsYields
				(ImprovementType,			YieldType,		Yield)
	VALUES		('IMPROVEMENT_FARM_MM_ADV',	NEW.YieldType,	NEW.Yield);
END;

CREATE TRIGGER MM_AdventurerFarm_AdjacentMountainYieldChanges
AFTER INSERT ON Improvement_AdjacentMountainYieldChanges
WHEN NEW.ImprovementType = 'IMPROVEMENT_FARM'
BEGIN
	INSERT OR REPLACE INTO Improvement_AdjacentMountainYieldChanges
				(ImprovementType,			YieldType,		Yield)
	VALUES		('IMPROVEMENT_FARM_MM_ADV',	NEW.YieldType,	NEW.Yield);
END;

CREATE TRIGGER MM_AdventurerFarm_PrereqNatureYields
AFTER INSERT ON Improvement_PrereqNatureYields
WHEN NEW.ImprovementType = 'IMPROVEMENT_FARM'
BEGIN
	INSERT OR REPLACE INTO Improvement_PrereqNatureYields
				(ImprovementType,			YieldType,		Yield)
	VALUES		('IMPROVEMENT_FARM_MM_ADV',	NEW.YieldType,	NEW.Yield);
END;

CREATE TRIGGER MM_AdventurerFarm_RiverSideYields
AFTER INSERT ON Improvement_RiverSideYields
WHEN NEW.ImprovementType = 'IMPROVEMENT_FARM'
BEGIN
	INSERT OR REPLACE INTO Improvement_RiverSideYields
				(ImprovementType,			YieldType,		Yield)
	VALUES		('IMPROVEMENT_FARM_MM_ADV',	NEW.YieldType,	NEW.Yield);
END;

CREATE TRIGGER MM_AdventurerFarm_ValidTerrains
AFTER INSERT ON Improvement_ValidTerrains
WHEN NEW.ImprovementType = 'IMPROVEMENT_FARM'
BEGIN
	INSERT INTO Improvement_ValidTerrains
				(ImprovementType,			TerrainType)
	VALUES		('IMPROVEMENT_FARM_MM_ADV',	NEW.TerrainType);
END;	

CREATE TRIGGER MM_AdventurerFarm_ValidFeatures
AFTER INSERT ON Improvement_ValidFeatures
WHEN NEW.ImprovementType = 'IMPROVEMENT_FARM'
BEGIN
	INSERT INTO Improvement_ValidFeatures
				(ImprovementType,			FeatureType)
	VALUES		('IMPROVEMENT_FARM_MM_ADV',	NEW.FeatureType);
END;	

CREATE TRIGGER MM_AdventurerFarm_ResourceTypes
AFTER INSERT ON Improvement_ResourceTypes
WHEN NEW.ImprovementType = 'IMPROVEMENT_FARM'
BEGIN
	INSERT INTO Improvement_ResourceTypes
				(ImprovementType,			ResourceType,		ResourceMakesValid,		ResourceTrade,
				DiscoveryRand,				QuantityRequirement)
	VALUES		('IMPROVEMENT_FARM_MM_ADV',	NEW.ResourceType,	NEW.ResourceMakesValid,	NEW.ResourceTrade,
				NEW.DiscoveryRand,			NEW.QuantityRequirement);
END;

CREATE TRIGGER MM_AdventurerFarm_ResourceType_Yields
AFTER INSERT ON Improvement_ResourceType_Yields
WHEN NEW.ImprovementType = 'IMPROVEMENT_FARM'
BEGIN
	INSERT INTO Improvement_ResourceType_Yields
				(ImprovementType,			ResourceType,		YieldType,		Yield)
	VALUES		('IMPROVEMENT_FARM_MM_ADV',	NEW.ResourceType,	NEW.YieldType,	NEW.Yield);
END;

CREATE TRIGGER MM_AdventurerFarm_RouteYieldChanges
AFTER INSERT ON Improvement_RouteYieldChanges
WHEN NEW.ImprovementType = 'IMPROVEMENT_FARM'
BEGIN
	INSERT INTO Improvement_RouteYieldChanges
				(ImprovementType,			RouteType,			YieldType,		Yield)
	VALUES		('IMPROVEMENT_FARM_MM_ADV',	NEW.RouteType,		NEW.YieldType,	NEW.Yield);
END;


CREATE TRIGGER MM_AdventurerFarm_TechYieldChanges
AFTER INSERT ON Improvement_TechYieldChanges
WHEN NEW.ImprovementType = 'IMPROVEMENT_FARM'
BEGIN
	INSERT OR REPLACE INTO Improvement_TechYieldChanges
				(ImprovementType,			TechType,		YieldType,		Yield)
	VALUES		('IMPROVEMENT_FARM_MM_ADV',	NEW.TechType,	NEW.YieldType,	NEW.Yield);
END;

CREATE TRIGGER MM_AdventurerFarm_TechNoFreshWaterYieldChanges
AFTER INSERT ON Improvement_TechNoFreshWaterYieldChanges
WHEN NEW.ImprovementType = 'IMPROVEMENT_FARM'
BEGIN
	INSERT OR REPLACE INTO Improvement_TechNoFreshWaterYieldChanges
				(ImprovementType,			TechType,		YieldType,		Yield)
	VALUES		('IMPROVEMENT_FARM_MM_ADV',	NEW.TechType,	NEW.YieldType,	NEW.Yield);
END;

CREATE TRIGGER MM_AdventurerFarm_TechFreshWaterYieldChanges
AFTER INSERT ON Improvement_TechFreshWaterYieldChanges
WHEN NEW.ImprovementType = 'IMPROVEMENT_FARM'
BEGIN
	INSERT OR REPLACE INTO Improvement_TechFreshWaterYieldChanges
				(ImprovementType,			TechType,		YieldType,		Yield)
	VALUES		('IMPROVEMENT_FARM_MM_ADV',	NEW.TechType,	NEW.YieldType,	NEW.Yield);
END;



CREATE TRIGGER MM_RM_AdventurerFarm_Yields
AFTER DELETE ON Improvement_Yields
WHEN OLD.ImprovementType = 'IMPROVEMENT_FARM'
BEGIN
	DELETE FROM Improvement_Yields
	WHERE ImprovementType = 'IMPROVEMENT_FARM_MM_ADV' AND YieldType = OLD.YieldType;
END;

CREATE TRIGGER MM_RM_AdventurerFarm_YieldPerEra
AFTER DELETE ON Improvement_YieldPerEra
WHEN OLD.ImprovementType = 'IMPROVEMENT_FARM'
BEGIN
	DELETE FROM Improvement_YieldPerEra
	WHERE ImprovementType = 'IMPROVEMENT_FARM_MM_ADV' AND YieldType = OLD.YieldType;
END;

CREATE TRIGGER MM_RM_AdventurerFarm_AdjacentCityYields
AFTER DELETE ON Improvement_AdjacentCityYields
WHEN OLD.ImprovementType = 'IMPROVEMENT_FARM'
BEGIN
	DELETE FROM Improvement_AdjacentCityYields
	WHERE ImprovementType = 'IMPROVEMENT_FARM_MM_ADV' AND YieldType = OLD.YieldType;
END;

CREATE TRIGGER MM_RM_AdventurerFarm_CoastalLandYields
AFTER DELETE ON Improvement_CoastalLandYields
WHEN OLD.ImprovementType = 'IMPROVEMENT_FARM'
BEGIN
	DELETE FROM Improvement_CoastalLandYields
	WHERE ImprovementType = 'IMPROVEMENT_FARM_MM_ADV' AND YieldType = OLD.YieldType;
END;

CREATE TRIGGER MM_RM_AdventurerFarm_Improvement_FreshWaterYields
AFTER DELETE ON Improvement_FreshWaterYields
WHEN OLD.ImprovementType = 'IMPROVEMENT_FARM'
BEGIN
	DELETE FROM Improvement_FreshWaterYields
	WHERE ImprovementType = 'IMPROVEMENT_FARM_MM_ADV' AND YieldType = OLD.YieldType;
END;

CREATE TRIGGER MM_RM_AdventurerFarm_HillsYields
AFTER DELETE ON Improvement_HillsYields
WHEN OLD.ImprovementType = 'IMPROVEMENT_FARM'
BEGIN
	DELETE FROM Improvement_HillsYields
	WHERE ImprovementType = 'IMPROVEMENT_FARM_MM_ADV' AND YieldType = OLD.YieldType;
END;

CREATE TRIGGER MM_RM_AdventurerFarm_AdjacentMountainYieldChanges
AFTER DELETE ON Improvement_AdjacentMountainYieldChanges
WHEN OLD.ImprovementType = 'IMPROVEMENT_FARM'
BEGIN
	DELETE FROM Improvement_AdjacentMountainYieldChanges
	WHERE ImprovementType = 'IMPROVEMENT_FARM_MM_ADV' AND YieldType = OLD.YieldType;
END;

CREATE TRIGGER MM_RM_AdventurerFarm_PrereqNatureYields
AFTER DELETE ON Improvement_PrereqNatureYields
WHEN OLD.ImprovementType = 'IMPROVEMENT_FARM'
BEGIN
	DELETE FROM Improvement_PrereqNatureYields
	WHERE ImprovementType = 'IMPROVEMENT_FARM_MM_ADV' AND YieldType = OLD.YieldType;
END;

CREATE TRIGGER MM_RM_AdventurerFarm_RiverSideYields
AFTER DELETE ON Improvement_RiverSideYields
WHEN OLD.ImprovementType = 'IMPROVEMENT_FARM'
BEGIN
	DELETE FROM Improvement_RiverSideYields
	WHERE ImprovementType = 'IMPROVEMENT_FARM_MM_ADV' AND YieldType = OLD.YieldType;
END;

CREATE TRIGGER MM_RM_AdventurerFarm_ValidTerrains
AFTER DELETE ON Improvement_ValidTerrains
WHEN OLD.ImprovementType = 'IMPROVEMENT_FARM'
BEGIN
	DELETE FROM Improvement_ValidTerrains
	WHERE ImprovementType = 'IMPROVEMENT_FARM_MM_ADV' AND TerrainType = OLD.TerrainType;
END;	

CREATE TRIGGER MM_RM_AdventurerFarm_ValidFeatures
AFTER DELETE ON Improvement_ValidFeatures
WHEN OLD.ImprovementType = 'IMPROVEMENT_FARM'
BEGIN
	DELETE FROM Improvement_ValidFeatures
	WHERE ImprovementType = 'IMPROVEMENT_FARM_MM_ADV' AND FeatureType = OLD.FeatureType;
END;	

CREATE TRIGGER MM_RM_AdventurerFarm_ResourceTypes
AFTER DELETE ON Improvement_ResourceTypes
WHEN OLD.ImprovementType = 'IMPROVEMENT_FARM'
BEGIN
	DELETE FROM Improvement_ResourceTypes
	WHERE ImprovementType = 'IMPROVEMENT_FARM_MM_ADV' AND ResourceType = OLD.ResourceType;
END;

CREATE TRIGGER MM_RM_AdventurerFarm_ResourceType_Yields
AFTER DELETE ON Improvement_ResourceType_Yields
WHEN OLD.ImprovementType = 'IMPROVEMENT_FARM'
BEGIN
	DELETE FROM Improvement_ResourceType_Yields
	WHERE ImprovementType = 'IMPROVMENT_FARM_MM_ADV' AND ResourceType = OLD.ResourceType AND YieldType = OLD.YieldType;
END;

CREATE TRIGGER MM_RM_AdventurerFarm_RouteYieldChanges
AFTER DELETE ON Improvement_RouteYieldChanges
WHEN OLD.ImprovementType = 'IMPROVEMENT_FARM'
BEGIN
	DELETE FROM Improvement_RouteYieldChanges
	WHERE ImprovementType = 'IMPROVEMENT_FARM_MM_ADV' AND RouteType = OLD.RouteType AND YieldType = OLD.YieldType;
END;


CREATE TRIGGER MM_RM_AdventurerFarm_TechYieldChanges
AFTER DELETE ON Improvement_TechYieldChanges
WHEN OLD.ImprovementType = 'IMPROVEMENT_FARM'
BEGIN
	DELETE FROM Improvement_TechYieldChanges
	WHERE ImprovementType = 'IMPROVEMENT_FARM_MM_ADV' AND TechType = OLD.TechType AND YieldType = OLD.YieldType;
END;

CREATE TRIGGER MM_RM_AdventurerFarm_TechNoFreshWaterYieldChanges
AFTER DELETE ON Improvement_TechNoFreshWaterYieldChanges
WHEN OLD.ImprovementType = 'IMPROVEMENT_FARM'
BEGIN
	DELETE FROM Improvement_TechNoFreshWaterYieldChanges
	WHERE ImprovementType = 'IMPROVEMENT_FARM_MM_ADV' AND TechType = OLD.TechType AND YieldType = OLD.YieldType;
END;

CREATE TRIGGER MM_RM_AdventurerFarm_TechFreshWaterYieldChanges
AFTER DELETE ON Improvement_TechFreshWaterYieldChanges
WHEN OLD.ImprovementType = 'IMPROVEMENT_FARM'
BEGIN
	DELETE FROM Improvement_TechFreshWaterYieldChanges
	WHERE ImprovementType = 'IMPROVEMENT_FARM_MM_ADV' AND TechType = OLD.TechType AND YieldType = OLD.YieldType;
END;


--================

--Mine Copier

--================
INSERT INTO Improvements
			(Type,				Description,				Civilopedia,				Help,	HillsMakesValid,
			ArtDefineTag, FreshWaterMakesValid, RequiresFlatlandsOrFreshWater, PillageGold, PortraitIndex, IconAtlas, IgnoreOwnership)
SELECT		('IMPROVEMENT_MINE_MM_ADV'),	Description,	Civilopedia,				Help,	HillsMakesValid,
			ArtDefineTag, FreshWaterMakesValid, RequiresFlatlandsOrFreshWater, PillageGold, PortraitIndex, IconAtlas, 1
FROM Improvements WHERE Type = 'IMPROVEMENT_MINE';



INSERT INTO Improvement_Yields
			(ImprovementType,				YieldType,		Yield)
SELECT		('IMPROVEMENT_MINE_MM_ADV'),	YieldType,		Yield
FROM Improvement_Yields WHERE ImprovementType = 'IMPROVEMENT_MINE';



INSERT INTO Improvement_YieldPerEra
			(ImprovementType,				YieldType,		Yield)
SELECT		('IMPROVEMENT_MINE_MM_ADV'),	YieldType,		Yield
FROM Improvement_YieldPerEra WHERE ImprovementType = 'IMPROVEMENT_MINE';



INSERT INTO Improvement_AdjacentCityYields
			(ImprovementType,				YieldType,		Yield)
SELECT		('IMPROVEMENT_MINE_MM_ADV'),	YieldType,		Yield
FROM Improvement_AdjacentCityYields WHERE ImprovementType = 'IMPROVEMENT_MINE';


INSERT INTO Improvement_CoastalLandYields
			(ImprovementType,				YieldType,		Yield)
SELECT		('IMPROVEMENT_MINE_MM_ADV'),	YieldType,		Yield
FROM Improvement_CoastalLandYields WHERE ImprovementType = 'IMPROVEMENT_MINE';



INSERT INTO Improvement_FreshWaterYields
			(ImprovementType,				YieldType,		Yield)
SELECT		('IMPROVEMENT_MINE_MM_ADV'),	YieldType,		Yield
FROM Improvement_FreshWaterYields WHERE ImprovementType = 'IMPROVEMENT_MINE';



INSERT INTO Improvement_HillsYields
			(ImprovementType,				YieldType,		Yield)
SELECT		('IMPROVEMENT_MINE_MM_ADV'),	YieldType,		Yield
FROM Improvement_HillsYields WHERE ImprovementType = 'IMPROVEMENT_MINE';



INSERT OR REPLACE INTO Improvement_AdjacentMountainYieldChanges
			(ImprovementType,				YieldType,		Yield)
SELECT		('IMPROVEMENT_MINE_MM_ADV'),	YieldType,		Yield
FROM Improvement_AdjacentMountainYieldChanges WHERE ImprovementType = 'IMPROVEMENT_MINE';



INSERT OR REPLACE INTO Improvement_PrereqNatureYields
				(ImprovementType,				YieldType,		Yield)
SELECT			('IMPROVEMENT_MINE_MM_ADV'),	YieldType,		Yield
FROM Improvement_PrereqNatureYields WHERE ImprovementType = 'IMPROVEMENT_MINE';



INSERT OR REPLACE INTO Improvement_RiverSideYields
			(ImprovementType,			YieldType,		Yield)
SELECT		('IMPROVEMENT_MINE_MM_ADV'),	YieldType,	Yield
FROM Improvement_RiverSideYields WHERE ImprovementType = 'IMPROVEMENT_MINE';



INSERT INTO Improvement_ValidTerrains
			(ImprovementType, TerrainType)
SELECT		('IMPROVEMENT_MINE_MM_ADV'),	TerrainType
FROM Improvement_ValidTerrains WHERE ImprovementType = 'IMPROVEMENT_MINE';


INSERT INTO Improvement_ValidFeatures
			(ImprovementType, FeatureType)
SELECT		('IMPROVEMENT_MINE_MM_ADV'),	FeatureType
FROM Improvement_ValidFeatures WHERE ImprovementType = 'IMPROVEMENT_MINE';



INSERT INTO Improvement_ResourceTypes
			(ImprovementType,				ResourceType)
SELECT		('IMPROVEMENT_MINE_MM_ADV'),	ResourceType
FROM Improvement_ResourceTypes WHERE ImprovementType = 'IMPROVEMENT_MINE';



INSERT INTO Improvement_ResourceType_Yields
			(ImprovementType,				ResourceType,		YieldType,	Yield)
SELECT		('IMPROVEMENT_MINE_MM_ADV'),	ResourceType,		YieldType,	Yield
FROM Improvement_ResourceType_Yields WHERE ImprovementType = 'IMPROVEMENT_MINE';



INSERT INTO Improvement_TechYieldChanges
			(ImprovementType,				TechType,	YieldType,	Yield)
SELECT		('IMPROVEMENT_MINE_MM_ADV'),	TechType,	YieldType,	Yield
FROM Improvement_TechYieldChanges WHERE ImprovementType = 'IMPROVEMENT_MINE';



INSERT INTO Improvement_TechNoFreshWaterYieldChanges
			(ImprovementType,				TechType,	YieldType, Yield)
SELECT		('IMPROVEMENT_MINE_MM_ADV'),	TechType,	YieldType, Yield
FROM Improvement_TechNoFreshWaterYieldChanges WHERE ImprovementType = 'IMPROVEMENT_MINE';



INSERT INTO Improvement_TechFreshWaterYieldChanges
			(ImprovementType,				TechType,	YieldType, Yield)
SELECT		('IMPROVEMENT_MINE_MM_ADV'),	TechType,	YieldType, Yield
FROM Improvement_TechFreshWaterYieldChanges WHERE ImprovementType = 'IMPROVEMENT_MINE';



INSERT INTO Builds
			(Type,					PrereqTech,				Time,	Description,	ImprovementType,	EntityEvent,	HotKey,	
			OrderPriority,	IconIndex,	IconAtlas)
SELECT		('BUILD_MINE_MM_ADV'),	('TECH_MINE_MM_ADV'),	Time,	Description,	('IMPROVEMENT_MINE_MM_ADV'),	EntityEvent,	HotKey,
			OrderPriority,	IconIndex,	IconAtlas
FROM Builds WHERE Type = 'BUILD_MINE';

INSERT INTO BuildFeatures
			(BuildType,					FeatureType,	PrereqTech,	Time,	Remove)
SELECT		('BUILD_MINE_MM_ADV'),		FeatureType,	PrereqTech,	Time,	Remove
FROM BuildFeatures WHERE BuildType = 'BUILD_MINE';


			
INSERT INTO Policy_ImprovementYieldChanges
		(PolicyType,		ImprovementType,			 YieldType,	 Yield)
SELECT	PolicyType,			('IMPROVEMENT_MINE_MM_ADV'), YieldType,	 Yield
FROM Policy_ImprovementYieldChanges WHERE ImprovementType = 'IMPROVEMENT_MINE';




INSERT INTO Belief_ImprovementYieldChanges
		(BeliefType,		ImprovementType,			 YieldType,	Yield)
SELECT
		BeliefType,			('IMPROVEMENT_MINE_MM_ADV'), YieldType,	Yield
FROM Belief_ImprovementYieldChanges WHERE ImprovementType = 'IMPROVEMENT_MINE';




CREATE TRIGGER MM_AdventurerMine_Beliefs
AFTER INSERT ON Belief_ImprovementYieldChanges
WHEN NEW.ImprovementType = 'IMPROVEMENT_MINE'
BEGIN
	INSERT INTO Belief_ImprovementYieldChanges
			(BeliefType,		ImprovementType,			 YieldType,	 Yield)
	VALUES	(NEW.BeliefType,	'IMPROVEMENT_MINE_MM_ADV',   NEW.YieldType,	 NEW.Yield);
END;



CREATE TRIGGER MM_UP_AdventurerMine_Beliefs
AFTER UPDATE ON Belief_ImprovementYieldChanges
WHEN NEW.ImprovementType = 'IMPROVEMENT_MINE'
BEGIN
	UPDATE Belief_ImprovementYieldChanges
	SET Yield = NEW.Yield WHERE ImprovementType = 'IMPROVEMENT_MINE_MM_ADV' AND YieldType = NEW.YieldType;
END;




CREATE TRIGGER MM_RM_AdventurerMine_Beliefs
AFTER DELETE ON Belief_ImprovementYieldChanges
WHEN OLD.ImprovementType = 'IMPROVEMENT_MINE'
BEGIN
	DELETE FROM Belief_ImprovementYieldChanges
	WHERE ImprovementType = 'IMPROVEMENT_MINE_MM_ADV' AND BeliefType = OLD.BeliefType;
END;



CREATE TRIGGER MM_AdventurerMine_Policies
AFTER INSERT ON Policy_ImprovementYieldChanges
WHEN NEW.ImprovementType = 'IMPROVEMENT_MINE'
BEGIN
	INSERT INTO Policy_ImprovementYieldChanges
			(PolicyType,		ImprovementType,			 YieldType,	 Yield)
	VALUES	(NEW.PolicyType,	'IMPROVEMENT_MINE_MM_ADV',   NEW.YieldType,	 NEW.Yield);
END;



CREATE TRIGGER MM_UP_AdventurerMine_Policies
AFTER UPDATE ON Policy_ImprovementYieldChanges
WHEN NEW.ImprovementType = 'IMPROVEMENT_MINE'
BEGIN
	UPDATE Policy_ImprovementYieldChanges
	SET Yield = NEW.Yield WHERE ImprovementType = 'IMPROVEMENT_MINE_MM_ADV' AND YieldType = NEW.YieldType;
END;



CREATE TRIGGER MM_RM_AdventurerMine_Policies
AFTER DELETE ON Policy_ImprovementYieldChanges
WHEN OLD.ImprovementType = 'IMPROVEMENT_MINE'
BEGIN
	DELETE FROM Policy_ImprovementYieldChanges
	WHERE ImprovementType = 'IMPROVEMENT_MINE_MM_ADV' AND PolicyType = OLD.PolicyType;
END;



--CREATE TRIGGER MM_AdventurerMine_Builds
--AFTER UPDATE ON Builds
--WHEN NEW.Type = 'IMPROVEMENT_MINE'
--BEGIN
--	UPDATE Builds
--	SET PrereqTech = NEW.PrereqTech WHERE Type = 'IMPROVEMENT_MINE_MM_ADV';
--END;



CREATE TRIGGER MM_AdventurerMine_Update
AFTER UPDATE ON Improvements
WHEN New.Type = 'IMPROVEMENT_MINE'
BEGIN
	UPDATE Improvements
	SET Help = NEW.Help WHERE Type = 'IMPROVEMENT_MINE_MM_ADV';
END;

CREATE TRIGGER MM_AdventurerMine_Yields
AFTER INSERT ON Improvement_Yields
WHEN NEW.ImprovementType = 'IMPROVEMENT_MINE'
BEGIN
	INSERT OR REPLACE INTO Improvement_Yields
				(ImprovementType,			YieldType,		Yield)
	VALUES		('IMPROVEMENT_MINE_MM_ADV',	NEW.YieldType,	NEW.Yield);
END;

CREATE TRIGGER MM_AdventurerMine_YieldPerEra
AFTER INSERT ON Improvement_YieldPerEra
WHEN NEW.ImprovementType = 'IMPROVEMENT_MINE'
BEGIN
	INSERT OR REPLACE INTO Improvement_YieldPerEra
				(ImprovementType,			YieldType,		Yield)
	VALUES		('IMPROVEMENT_MINE_MM_ADV',	NEW.YieldType,	NEW.Yield);
END;

CREATE TRIGGER MM_AdventurerMine_AdjacentCityYields
AFTER INSERT ON Improvement_AdjacentCityYields
WHEN NEW.ImprovementType = 'IMPROVEMENT_MINE'
BEGIN
	INSERT OR REPLACE INTO Improvement_AdjacentCityYields
				(ImprovementType,			YieldType,		Yield)
	VALUES		('IMPROVEMENT_MINE_MM_ADV',	NEW.YieldType,	NEW.Yield);
END;

CREATE TRIGGER MM_AdventurerMine_CoastalLandYields
AFTER INSERT ON Improvement_CoastalLandYields
WHEN NEW.ImprovementType = 'IMPROVEMENT_MINE'
BEGIN
	INSERT OR REPLACE INTO Improvement_CoastalLandYields
				(ImprovementType,			YieldType,		Yield)
	VALUES		('IMPROVEMENT_MINE_MM_ADV',	NEW.YieldType,	NEW.Yield);
END;

CREATE TRIGGER MM_AdventurerMine_Improvement_FreshWaterYields
AFTER INSERT ON Improvement_FreshWaterYields
WHEN NEW.ImprovementType = 'IMPROVEMENT_MINE'
BEGIN
	INSERT OR REPLACE INTO Improvement_FreshWaterYields
				(ImprovementType,			YieldType,		Yield)
	VALUES		('IMPROVEMENT_MINE_MM_ADV',	NEW.YieldType,	NEW.Yield);
END;

CREATE TRIGGER MM_AdventurerMine_HillsYields
AFTER INSERT ON Improvement_HillsYields
WHEN NEW.ImprovementType = 'IMPROVEMENT_MINE'
BEGIN
	INSERT OR REPLACE INTO Improvement_HillsYields
				(ImprovementType,			YieldType,		Yield)
	VALUES		('IMPROVEMENT_MINE_MM_ADV',	NEW.YieldType,	NEW.Yield);
END;

CREATE TRIGGER MM_AdventurerMine_AdjacentMountainYieldChanges
AFTER INSERT ON Improvement_AdjacentMountainYieldChanges
WHEN NEW.ImprovementType = 'IMPROVEMENT_MINE'
BEGIN
	INSERT OR REPLACE INTO Improvement_AdjacentMountainYieldChanges
				(ImprovementType,			YieldType,		Yield)
	VALUES		('IMPROVEMENT_MINE_MM_ADV',	NEW.YieldType,	NEW.Yield);
END;

CREATE TRIGGER MM_AdventurerMine_PrereqNatureYields
AFTER INSERT ON Improvement_PrereqNatureYields
WHEN NEW.ImprovementType = 'IMPROVEMENT_MINE'
BEGIN
	INSERT OR REPLACE INTO Improvement_PrereqNatureYields
				(ImprovementType,			YieldType,		Yield)
	VALUES		('IMPROVEMENT_MINE_MM_ADV',	NEW.YieldType,	NEW.Yield);
END;

CREATE TRIGGER MM_AdventurerMine_RiverSideYields
AFTER INSERT ON Improvement_RiverSideYields
WHEN NEW.ImprovementType = 'IMPROVEMENT_MINE'
BEGIN
	INSERT OR REPLACE INTO Improvement_RiverSideYields
				(ImprovementType,			YieldType,		Yield)
	VALUES		('IMPROVEMENT_MINE_MM_ADV',	NEW.YieldType,	NEW.Yield);
END;

CREATE TRIGGER MM_AdventurerMine_ValidTerrains
AFTER INSERT ON Improvement_ValidTerrains
WHEN NEW.ImprovementType = 'IMPROVEMENT_MINE'
BEGIN
	INSERT INTO Improvement_ValidTerrains
				(ImprovementType,			TerrainType)
	VALUES		('IMPROVEMENT_MINE_MM_ADV',	NEW.TerrainType);
END;	

CREATE TRIGGER MM_AdventurerMine_ValidFeatures
AFTER INSERT ON Improvement_ValidFeatures
WHEN NEW.ImprovementType = 'IMPROVEMENT_MINE'
BEGIN
	INSERT INTO Improvement_ValidFeatures
				(ImprovementType,			FeatureType)
	VALUES		('IMPROVEMENT_MINE_MM_ADV',	NEW.FeatureType);
END;	

CREATE TRIGGER MM_AdventurerMine_ResourceTypes
AFTER INSERT ON Improvement_ResourceTypes
WHEN NEW.ImprovementType = 'IMPROVEMENT_MINE'
BEGIN
	INSERT INTO Improvement_ResourceTypes
				(ImprovementType,			ResourceType,		ResourceMakesValid,		ResourceTrade,
				DiscoveryRand,				QuantityRequirement)
	VALUES		('IMPROVEMENT_MINE_MM_ADV',	NEW.ResourceType,	NEW.ResourceMakesValid,	NEW.ResourceTrade,
				NEW.DiscoveryRand,			NEW.QuantityRequirement);
END;

CREATE TRIGGER MM_AdventurerMine_ResourceType_Yields
AFTER INSERT ON Improvement_ResourceType_Yields
WHEN NEW.ImprovementType = 'IMPROVEMENT_MINE'
BEGIN
	INSERT INTO Improvement_ResourceType_Yields
				(ImprovementType,			ResourceType,		YieldType,		Yield)
	VALUES		('IMPROVEMENT_MINE_MM_ADV',	NEW.ResourceType,	NEW.YieldType,	NEW.Yield);
END;

CREATE TRIGGER MM_AdventurerMine_RouteYieldChanges
AFTER INSERT ON Improvement_RouteYieldChanges
WHEN NEW.ImprovementType = 'IMPROVEMENT_MINE'
BEGIN
	INSERT INTO Improvement_RouteYieldChanges
				(ImprovementType,			RouteType,			YieldType,		Yield)
	VALUES		('IMPROVEMENT_MINE_MM_ADV',	NEW.RouteType,		NEW.YieldType,	NEW.Yield);
END;


CREATE TRIGGER MM_AdventurerMine_TechYieldChanges
AFTER INSERT ON Improvement_TechYieldChanges
WHEN NEW.ImprovementType = 'IMPROVEMENT_MINE'
BEGIN
	INSERT OR REPLACE INTO Improvement_TechYieldChanges
				(ImprovementType,			TechType,		YieldType,		Yield)
	VALUES		('IMPROVEMENT_MINE_MM_ADV',	NEW.TechType,	NEW.YieldType,	NEW.Yield);
END;

CREATE TRIGGER MM_AdventurerMine_TechNoFreshWaterYieldChanges
AFTER INSERT ON Improvement_TechNoFreshWaterYieldChanges
WHEN NEW.ImprovementType = 'IMPROVEMENT_MINE'
BEGIN
	INSERT OR REPLACE INTO Improvement_TechNoFreshWaterYieldChanges
				(ImprovementType,			TechType,		YieldType,		Yield)
	VALUES		('IMPROVEMENT_MINE_MM_ADV',	NEW.TechType,	NEW.YieldType,	NEW.Yield);
END;

CREATE TRIGGER MM_AdventurerMine_TechFreshWaterYieldChanges
AFTER INSERT ON Improvement_TechFreshWaterYieldChanges
WHEN NEW.ImprovementType = 'IMPROVEMENT_MINE'
BEGIN
	INSERT OR REPLACE INTO Improvement_TechFreshWaterYieldChanges
				(ImprovementType,			TechType,		YieldType,		Yield)
	VALUES		('IMPROVEMENT_MINE_MM_ADV',	NEW.TechType,	NEW.YieldType,	NEW.Yield);
END;

CREATE TRIGGER MM_RM_AdventurerMine_Yields
AFTER DELETE ON Improvement_Yields
WHEN OLD.ImprovementType = 'IMPROVEMENT_MINE'
BEGIN
	DELETE FROM Improvement_Yields
	WHERE ImprovementType = 'IMPROVEMENT_MINE_MM_ADV' AND YieldType = OLD.YieldType;
END;

CREATE TRIGGER MM_RM_AdventurerMine_YieldPerEra
AFTER DELETE ON Improvement_YieldPerEra
WHEN OLD.ImprovementType = 'IMPROVEMENT_MINE'
BEGIN
	DELETE FROM Improvement_YieldPerEra
	WHERE ImprovementType = 'IMPROVEMENT_MINE_MM_ADV' AND YieldType = OLD.YieldType;
END;

CREATE TRIGGER MM_RM_AdventurerMine_AdjacentCityYields
AFTER DELETE ON Improvement_AdjacentCityYields
WHEN OLD.ImprovementType = 'IMPROVEMENT_MINE'
BEGIN
	DELETE FROM Improvement_AdjacentCityYields
	WHERE ImprovementType = 'IMPROVEMENT_MINE_MM_ADV' AND YieldType = OLD.YieldType;
END;

CREATE TRIGGER MM_RM_AdventurerMine_CoastalLandYields
AFTER DELETE ON Improvement_CoastalLandYields
WHEN OLD.ImprovementType = 'IMPROVEMENT_MINE'
BEGIN
	DELETE FROM Improvement_CoastalLandYields
	WHERE ImprovementType = 'IMPROVEMENT_MINE_MM_ADV' AND YieldType = OLD.YieldType;
END;

CREATE TRIGGER MM_RM_AdventurerMine_Improvement_FreshWaterYields
AFTER DELETE ON Improvement_FreshWaterYields
WHEN OLD.ImprovementType = 'IMPROVEMENT_MINE'
BEGIN
	DELETE FROM Improvement_FreshWaterYields
	WHERE ImprovementType = 'IMPROVEMENT_MINE_MM_ADV' AND YieldType = OLD.YieldType;
END;

CREATE TRIGGER MM_RM_AdventurerMine_HillsYields
AFTER DELETE ON Improvement_HillsYields
WHEN OLD.ImprovementType = 'IMPROVEMENT_MINE'
BEGIN
	DELETE FROM Improvement_HillsYields
	WHERE ImprovementType = 'IMPROVEMENT_MINE_MM_ADV' AND YieldType = OLD.YieldType;
END;

CREATE TRIGGER MM_RM_AdventurerMine_AdjacentMountainYieldChanges
AFTER DELETE ON Improvement_AdjacentMountainYieldChanges
WHEN OLD.ImprovementType = 'IMPROVEMENT_MINE'
BEGIN
	DELETE FROM Improvement_AdjacentMountainYieldChanges
	WHERE ImprovementType = 'IMPROVEMENT_MINE_MM_ADV' AND YieldType = OLD.YieldType;
END;

CREATE TRIGGER MM_RM_AdventurerMine_PrereqNatureYields
AFTER DELETE ON Improvement_PrereqNatureYields
WHEN OLD.ImprovementType = 'IMPROVEMENT_MINE'
BEGIN
	DELETE FROM Improvement_PrereqNatureYields
	WHERE ImprovementType = 'IMPROVEMENT_MINE_MM_ADV' AND YieldType = OLD.YieldType;
END;

CREATE TRIGGER MM_RM_AdventurerMine_RiverSideYields
AFTER DELETE ON Improvement_RiverSideYields
WHEN OLD.ImprovementType = 'IMPROVEMENT_MINE'
BEGIN
	DELETE FROM Improvement_RiverSideYields
	WHERE ImprovementType = 'IMPROVEMENT_MINE_MM_ADV' AND YieldType = OLD.YieldType;
END;

CREATE TRIGGER MM_RM_AdventurerMine_ValidTerrains
AFTER DELETE ON Improvement_ValidTerrains
WHEN OLD.ImprovementType = 'IMPROVEMENT_MINE'
BEGIN
	DELETE FROM Improvement_ValidTerrains
	WHERE ImprovementType = 'IMPROVEMENT_MINE_MM_ADV' AND TerrainType = OLD.TerrainType;
END;	

CREATE TRIGGER MM_RM_AdventurerMine_ValidFeatures
AFTER DELETE ON Improvement_ValidFeatures
WHEN OLD.ImprovementType = 'IMPROVEMENT_MINE'
BEGIN
	DELETE FROM Improvement_ValidFeatures
	WHERE ImprovementType = 'IMPROVEMENT_MINE_MM_ADV' AND FeatureType = OLD.FeatureType;
END;	

CREATE TRIGGER MM_RM_AdventurerMine_ResourceTypes
AFTER DELETE ON Improvement_ResourceTypes
WHEN OLD.ImprovementType = 'IMPROVEMENT_MINE'
BEGIN
	DELETE FROM Improvement_ResourceTypes
	WHERE ImprovementType = 'IMPROVEMENT_MINE_MM_ADV' AND ResourceType = OLD.ResourceType;
END;

CREATE TRIGGER MM_RM_AdventurerMine_ResourceType_Yields
AFTER DELETE ON Improvement_ResourceType_Yields
WHEN OLD.ImprovementType = 'IMPROVEMENT_MINE'
BEGIN
	DELETE FROM Improvement_ResourceType_Yields
	WHERE ImprovementType = 'IMPROVMENT_MINE_MM_ADV' AND ResourceType = OLD.ResourceType AND YieldType = OLD.YieldType;
END;

CREATE TRIGGER MM_RM_AdventurerMine_RouteYieldChanges
AFTER DELETE ON Improvement_RouteYieldChanges
WHEN OLD.ImprovementType = 'IMPROVEMENT_MINE'
BEGIN
	DELETE FROM Improvement_RouteYieldChanges
	WHERE ImprovementType = 'IMPROVEMENT_MINE_MM_ADV' AND RouteType = OLD.RouteType AND YieldType = OLD.YieldType;
END;


CREATE TRIGGER MM_RM_AdventurerMine_TechYieldChanges
AFTER DELETE ON Improvement_TechYieldChanges
WHEN OLD.ImprovementType = 'IMPROVEMENT_MINE'
BEGIN
	DELETE FROM Improvement_TechYieldChanges
	WHERE ImprovementType = 'IMPROVEMENT_MINE_MM_ADV' AND TechType = OLD.TechType AND YieldType = OLD.YieldType;
END;

CREATE TRIGGER MM_RM_AdventurerMine_TechNoFreshWaterYieldChanges
AFTER DELETE ON Improvement_TechNoFreshWaterYieldChanges
WHEN OLD.ImprovementType = 'IMPROVEMENT_MINE'
BEGIN
	DELETE FROM Improvement_TechNoFreshWaterYieldChanges
	WHERE ImprovementType = 'IMPROVEMENT_MINE_MM_ADV' AND TechType = OLD.TechType AND YieldType = OLD.YieldType;
END;

CREATE TRIGGER MM_RM_AdventurerMine_TechFreshWaterYieldChanges
AFTER DELETE ON Improvement_TechFreshWaterYieldChanges
WHEN OLD.ImprovementType = 'IMPROVEMENT_MINE'
BEGIN
	DELETE FROM Improvement_TechFreshWaterYieldChanges
	WHERE ImprovementType = 'IMPROVEMENT_MINE_MM_ADV' AND TechType = OLD.TechType AND YieldType = OLD.YieldType;
END;





--===========

--Camp Copier

--===========

INSERT INTO Improvements
			(Type,				Description,				Civilopedia,				Help,
			ArtDefineTag, FreshWaterMakesValid, RequiresFlatlandsOrFreshWater, PillageGold, PortraitIndex, IconAtlas, IgnoreOwnership)
SELECT		('IMPROVEMENT_CAMP_MM_ADV'),	Description,	Civilopedia,				Help,
			ArtDefineTag, FreshWaterMakesValid, RequiresFlatlandsOrFreshWater, PillageGold, PortraitIndex, IconAtlas, 1
FROM Improvements WHERE Type = 'IMPROVEMENT_CAMP';



INSERT INTO Improvement_Yields
			(ImprovementType,				YieldType,		Yield)
SELECT		('IMPROVEMENT_CAMP_MM_ADV'),	YieldType,		Yield
FROM Improvement_Yields WHERE ImprovementType = 'IMPROVEMENT_CAMP';



INSERT INTO Improvement_YieldPerEra
			(ImprovementType,				YieldType,		Yield)
SELECT		('IMPROVEMENT_CAMP_MM_ADV'),	YieldType,		Yield
FROM Improvement_YieldPerEra WHERE ImprovementType = 'IMPROVEMENT_CAMP';



INSERT INTO Improvement_AdjacentCityYields
			(ImprovementType,				YieldType,		Yield)
SELECT		('IMPROVEMENT_CAMP_MM_ADV'),	YieldType,		Yield
FROM Improvement_AdjacentCityYields WHERE ImprovementType = 'IMPROVEMENT_CAMP';


INSERT INTO Improvement_CoastalLandYields
			(ImprovementType,				YieldType,		Yield)
SELECT		('IMPROVEMENT_CAMP_MM_ADV'),	YieldType,		Yield
FROM Improvement_CoastalLandYields WHERE ImprovementType = 'IMPROVEMENT_CAMP';



INSERT INTO Improvement_FreshWaterYields
			(ImprovementType,				YieldType,		Yield)
SELECT		('IMPROVEMENT_CAMP_MM_ADV'),	YieldType,		Yield
FROM Improvement_FreshWaterYields WHERE ImprovementType = 'IMPROVEMENT_CAMP';



INSERT INTO Improvement_HillsYields
			(ImprovementType,				YieldType,		Yield)
SELECT		('IMPROVEMENT_CAMP_MM_ADV'),	YieldType,		Yield
FROM Improvement_HillsYields WHERE ImprovementType = 'IMPROVEMENT_CAMP';



INSERT OR REPLACE INTO Improvement_AdjacentMountainYieldChanges
			(ImprovementType,				YieldType,		Yield)
SELECT		('IMPROVEMENT_CAMP_MM_ADV'),	YieldType,		Yield
FROM Improvement_AdjacentMountainYieldChanges WHERE ImprovementType = 'IMPROVEMENT_CAMP';



INSERT OR REPLACE INTO Improvement_PrereqNatureYields
				(ImprovementType,				YieldType,		Yield)
SELECT			('IMPROVEMENT_CAMP_MM_ADV'),	YieldType,		Yield
FROM Improvement_PrereqNatureYields WHERE ImprovementType = 'IMPROVEMENT_CAMP';



INSERT OR REPLACE INTO Improvement_RiverSideYields
			(ImprovementType,			YieldType,		Yield)
SELECT		('IMPROVEMENT_CAMP_MM_ADV'),	YieldType,	Yield
FROM Improvement_RiverSideYields WHERE ImprovementType = 'IMPROVEMENT_CAMP';



INSERT INTO Improvement_ValidTerrains
			(ImprovementType, TerrainType)
SELECT		('IMPROVEMENT_CAMP_MM_ADV'),	TerrainType
FROM Improvement_ValidTerrains WHERE ImprovementType = 'IMPROVEMENT_CAMP';


INSERT INTO Improvement_ValidFeatures
			(ImprovementType, FeatureType)
SELECT		('IMPROVEMENT_CAMP_MM_ADV'),	FeatureType
FROM Improvement_ValidFeatures WHERE ImprovementType = 'IMPROVEMENT_CAMP';



INSERT INTO Improvement_ResourceTypes
			(ImprovementType,				ResourceType)
SELECT		('IMPROVEMENT_CAMP_MM_ADV'),	ResourceType
FROM Improvement_ResourceTypes WHERE ImprovementType = 'IMPROVEMENT_CAMP';



INSERT INTO Improvement_ResourceType_Yields
			(ImprovementType,				ResourceType,		YieldType,	Yield)
SELECT		('IMPROVEMENT_CAMP_MM_ADV'),	ResourceType,		YieldType,	Yield
FROM Improvement_ResourceType_Yields WHERE ImprovementType = 'IMPROVEMENT_CAMP';



INSERT INTO Improvement_TechYieldChanges
			(ImprovementType,				TechType,	YieldType,	Yield)
SELECT		('IMPROVEMENT_CAMP_MM_ADV'),	TechType,	YieldType,	Yield
FROM Improvement_TechYieldChanges WHERE ImprovementType = 'IMPROVEMENT_CAMP';



INSERT INTO Improvement_TechNoFreshWaterYieldChanges
			(ImprovementType,				TechType,	YieldType, Yield)
SELECT		('IMPROVEMENT_CAMP_MM_ADV'),	TechType,	YieldType, Yield
FROM Improvement_TechNoFreshWaterYieldChanges WHERE ImprovementType = 'IMPROVEMENT_CAMP';



INSERT INTO Improvement_TechFreshWaterYieldChanges
			(ImprovementType,				TechType,	YieldType, Yield)
SELECT		('IMPROVEMENT_CAMP_MM_ADV'),	TechType,	YieldType, Yield
FROM Improvement_TechFreshWaterYieldChanges WHERE ImprovementType = 'IMPROVEMENT_CAMP';


INSERT INTO Builds
			(Type,					PrereqTech,				Time,	Description,	ImprovementType,	EntityEvent,	HotKey,	
			OrderPriority,	IconIndex,	IconAtlas)
SELECT		('BUILD_CAMP_MM_ADV'),	('TECH_CAMP_MM_ADV'),	Time,	Description,	('IMPROVEMENT_CAMP_MM_ADV'),	EntityEvent,	HotKey,
			OrderPriority,	IconIndex,	IconAtlas
FROM Builds WHERE Type = 'BUILD_CAMP';

INSERT INTO BuildFeatures
			(BuildType,				FeatureType,	PrereqTech,	Time,	Remove)
SELECT		('BUILD_CAMP_MM_ADV'),	FeatureType,	PrereqTech,	Time,	Remove
FROM BuildFeatures WHERE BuildType = 'BUILD_CAMP';



INSERT INTO Policy_ImprovementYieldChanges
		(PolicyType,		ImprovementType,			 YieldType,	 Yield)
SELECT	PolicyType,			('IMPROVEMENT_CAMP_MM_ADV'), YieldType,	 Yield
FROM Policy_ImprovementYieldChanges WHERE ImprovementType = 'IMPROVEMENT_CAMP';



INSERT INTO Belief_ImprovementYieldChanges
		(BeliefType,		ImprovementType,			 YieldType,	Yield)
SELECT
		BeliefType,			('IMPROVEMENT_CAMP_MM_ADV'), YieldType,	Yield
FROM Belief_ImprovementYieldChanges WHERE ImprovementType = 'IMPROVEMENT_CAMP';




CREATE TRIGGER MM_AdventurerCamp_Beliefs
AFTER INSERT ON Belief_ImprovementYieldChanges
WHEN NEW.ImprovementType = 'IMPROVEMENT_CAMP'
BEGIN
	INSERT INTO Belief_ImprovementYieldChanges
			(BeliefType,		ImprovementType,			 YieldType,	 Yield)
	VALUES	(NEW.BeliefType,	'IMPROVEMENT_CAMP_MM_ADV',   NEW.YieldType,	 NEW.Yield);
END;



CREATE TRIGGER MM_UP_AdventurerCamp_Beliefs
AFTER UPDATE ON Belief_ImprovementYieldChanges
WHEN NEW.ImprovementType = 'IMPROVEMENT_CAMP'
BEGIN
	UPDATE Belief_ImprovementYieldChanges
	SET Yield = NEW.Yield WHERE ImprovementType = 'IMPROVEMENT_CAMP_MM_ADV' AND YieldType = NEW.YieldType;
END;




CREATE TRIGGER MM_RM_AdventurerCamp_Beliefs
AFTER DELETE ON Belief_ImprovementYieldChanges
WHEN OLD.ImprovementType = 'IMPROVEMENT_CAMP'
BEGIN
	DELETE FROM Belief_ImprovementYieldChanges
	WHERE ImprovementType = 'IMPROVEMENT_CAMP_MM_ADV' AND BeliefType = OLD.BeliefType;
END;


CREATE TRIGGER MM_AdventurerCamp_Policies
AFTER INSERT ON Policy_ImprovementYieldChanges
WHEN NEW.ImprovementType = 'IMPROVEMENT_CAMP'
BEGIN
	INSERT INTO Policy_ImprovementYieldChanges
			(PolicyType,		ImprovementType,			 YieldType,	 Yield)
	VALUES	(NEW.PolicyType,	'IMPROVEMENT_CAMP_MM_ADV',   NEW.YieldType,	 NEW.Yield);
END;


CREATE TRIGGER MM_UP_AdventurerCamp_Policies
AFTER UPDATE ON Policy_ImprovementYieldChanges
WHEN NEW.ImprovementType = 'IMPROVEMENT_CAMP'
BEGIN
	UPDATE Policy_ImprovementYieldChanges
	SET Yield = NEW.Yield WHERE ImprovementType = 'IMPROVEMENT_CAMP_MM_ADV' AND YieldType = NEW.YieldType;
END;


CREATE TRIGGER MM_RM_AdventurerCamp_Policies
AFTER DELETE ON Policy_ImprovementYieldChanges
WHEN OLD.ImprovementType = 'IMPROVEMENT_CAMP'
BEGIN
	DELETE FROM Policy_ImprovementYieldChanges
	WHERE ImprovementType = 'IMPROVEMENT_CAMP_MM_ADV' AND PolicyType = OLD.PolicyType;
END;



--CREATE TRIGGER MM_AdventurerCamp_Builds
--AFTER UPDATE ON Builds
--WHEN NEW.Type = 'IMPROVEMENT_CAMP'
--BEGIN
--	UPDATE Builds
--	SET PrereqTech = NEW.PrereqTech WHERE Type = 'IMPROVEMENT_CAMP_MM_ADV';
--END;



CREATE TRIGGER MM_AdventurerCamp_Update
AFTER UPDATE ON Improvements
WHEN NEW.Type = 'IMPROVEMENT_CAMP'
BEGIN
	UPDATE Improvements
	SET Help = NEW.Help WHERE Type = 'IMPROVEMENT_CAMP_MM_ADV';
END;

CREATE TRIGGER MM_AdventurerCamp_Yields
AFTER INSERT ON Improvement_Yields
WHEN NEW.ImprovementType = 'IMPROVEMENT_CAMP'
BEGIN
	INSERT OR REPLACE INTO Improvement_Yields
				(ImprovementType,			YieldType,		Yield)
	VALUES		('IMPROVEMENT_CAMP_MM_ADV',	NEW.YieldType,	NEW.Yield);
END;

CREATE TRIGGER MM_AdventurerCamp_YieldPerEra
AFTER INSERT ON Improvement_YieldPerEra
WHEN NEW.ImprovementType = 'IMPROVEMENT_CAMP'
BEGIN
	INSERT OR REPLACE INTO Improvement_YieldPerEra
				(ImprovementType,			YieldType,		Yield)
	VALUES		('IMPROVEMENT_CAMP_MM_ADV',	NEW.YieldType,	NEW.Yield);
END;

CREATE TRIGGER MM_AdventurerCamp_AdjacentCityYields
AFTER INSERT ON Improvement_AdjacentCityYields
WHEN NEW.ImprovementType = 'IMPROVEMENT_CAMP'
BEGIN
	INSERT OR REPLACE INTO Improvement_AdjacentCityYields
				(ImprovementType,			YieldType,		Yield)
	VALUES		('IMPROVEMENT_CAMP_MM_ADV',	NEW.YieldType,	NEW.Yield);
END;

CREATE TRIGGER MM_AdventurerCamp_CoastalLandYields
AFTER INSERT ON Improvement_CoastalLandYields
WHEN NEW.ImprovementType = 'IMPROVEMENT_CAMP'
BEGIN
	INSERT OR REPLACE INTO Improvement_CoastalLandYields
				(ImprovementType,			YieldType,		Yield)
	VALUES		('IMPROVEMENT_CAMP_MM_ADV',	NEW.YieldType,	NEW.Yield);
END;

CREATE TRIGGER MM_AdventurerCamp_Improvement_FreshWaterYields
AFTER INSERT ON Improvement_FreshWaterYields
WHEN NEW.ImprovementType = 'IMPROVEMENT_CAMP'
BEGIN
	INSERT OR REPLACE INTO Improvement_FreshWaterYields
				(ImprovementType,			YieldType,		Yield)
	VALUES		('IMPROVEMENT_CAMP_MM_ADV',	NEW.YieldType,	NEW.Yield);
END;

CREATE TRIGGER MM_AdventurerCamp_HillsYields
AFTER INSERT ON Improvement_HillsYields
WHEN NEW.ImprovementType = 'IMPROVEMENT_CAMP'
BEGIN
	INSERT OR REPLACE INTO Improvement_HillsYields
				(ImprovementType,			YieldType,		Yield)
	VALUES		('IMPROVEMENT_CAMP_MM_ADV',	NEW.YieldType,	NEW.Yield);
END;

CREATE TRIGGER MM_AdventurerCamp_AdjacentMountainYieldChanges
AFTER INSERT ON Improvement_AdjacentMountainYieldChanges
WHEN NEW.ImprovementType = 'IMPROVEMENT_CAMP'
BEGIN
	INSERT OR REPLACE INTO Improvement_AdjacentMountainYieldChanges
				(ImprovementType,			YieldType,		Yield)
	VALUES		('IMPROVEMENT_CAMP_MM_ADV',	NEW.YieldType,	NEW.Yield);
END;

CREATE TRIGGER MM_AdventurerCamp_PrereqNatureYields
AFTER INSERT ON Improvement_PrereqNatureYields
WHEN NEW.ImprovementType = 'IMPROVEMENT_CAMP'
BEGIN
	INSERT OR REPLACE INTO Improvement_PrereqNatureYields
				(ImprovementType,			YieldType,		Yield)
	VALUES		('IMPROVEMENT_CAMP_MM_ADV',	NEW.YieldType,	NEW.Yield);
END;

CREATE TRIGGER MM_AdventurerCamp_RiverSideYields
AFTER INSERT ON Improvement_RiverSideYields
WHEN NEW.ImprovementType = 'IMPROVEMENT_CAMP'
BEGIN
	INSERT OR REPLACE INTO Improvement_RiverSideYields
				(ImprovementType,			YieldType,		Yield)
	VALUES		('IMPROVEMENT_CAMP_MM_ADV',	NEW.YieldType,	NEW.Yield);
END;

CREATE TRIGGER MM_AdventurerCamp_ValidTerrains
AFTER INSERT ON Improvement_ValidTerrains
WHEN NEW.ImprovementType = 'IMPROVEMENT_CAMP'
BEGIN
	INSERT INTO Improvement_ValidTerrains
				(ImprovementType,			TerrainType)
	VALUES		('IMPROVEMENT_CAMP_MM_ADV',	NEW.TerrainType);
END;	

CREATE TRIGGER MM_AdventurerCamp_ValidFeatures
AFTER INSERT ON Improvement_ValidFeatures
WHEN NEW.ImprovementType = 'IMPROVEMENT_CAMP'
BEGIN
	INSERT INTO Improvement_ValidFeatures
				(ImprovementType,			FeatureType)
	VALUES		('IMPROVEMENT_CAMP_MM_ADV',	NEW.FeatureType);
END;	

CREATE TRIGGER MM_AdventurerCamp_ResourceTypes
AFTER INSERT ON Improvement_ResourceTypes
WHEN NEW.ImprovementType = 'IMPROVEMENT_CAMP'
BEGIN
	INSERT INTO Improvement_ResourceTypes
				(ImprovementType,			ResourceType,		ResourceMakesValid,		ResourceTrade,
				DiscoveryRand,				QuantityRequirement)
	VALUES		('IMPROVEMENT_CAMP_MM_ADV',	NEW.ResourceType,	NEW.ResourceMakesValid,	NEW.ResourceTrade,
				NEW.DiscoveryRand,			NEW.QuantityRequirement);
END;

CREATE TRIGGER MM_AdventurerCamp_ResourceType_Yields
AFTER INSERT ON Improvement_ResourceType_Yields
WHEN NEW.ImprovementType = 'IMPROVEMENT_CAMP'
BEGIN
	INSERT INTO Improvement_ResourceType_Yields
				(ImprovementType,			ResourceType,		YieldType,		Yield)
	VALUES		('IMPROVEMENT_CAMP_MM_ADV',	NEW.ResourceType,	NEW.YieldType,	NEW.Yield);
END;

CREATE TRIGGER MM_AdventurerCamp_RouteYieldChanges
AFTER INSERT ON Improvement_RouteYieldChanges
WHEN NEW.ImprovementType = 'IMPROVEMENT_CAMP'
BEGIN
	INSERT INTO Improvement_RouteYieldChanges
				(ImprovementType,			RouteType,			YieldType,		Yield)
	VALUES		('IMPROVEMENT_CAMP_MM_ADV',	NEW.RouteType,		NEW.YieldType,	NEW.Yield);
END;


CREATE TRIGGER MM_AdventurerCamp_TechYieldChanges
AFTER INSERT ON Improvement_TechYieldChanges
WHEN NEW.ImprovementType = 'IMPROVEMENT_CAMP'
BEGIN
	INSERT OR REPLACE INTO Improvement_TechYieldChanges
				(ImprovementType,			TechType,		YieldType,		Yield)
	VALUES		('IMPROVEMENT_CAMP_MM_ADV',	NEW.TechType,	NEW.YieldType,	NEW.Yield);
END;

CREATE TRIGGER MM_AdventurerCamp_TechNoFreshWaterYieldChanges
AFTER INSERT ON Improvement_TechNoFreshWaterYieldChanges
WHEN NEW.ImprovementType = 'IMPROVEMENT_CAMP'
BEGIN
	INSERT OR REPLACE INTO Improvement_TechNoFreshWaterYieldChanges
				(ImprovementType,			TechType,		YieldType,		Yield)
	VALUES		('IMPROVEMENT_CAMP_MM_ADV',	NEW.TechType,	NEW.YieldType,	NEW.Yield);
END;

CREATE TRIGGER MM_AdventurerCamp_TechFreshWaterYieldChanges
AFTER INSERT ON Improvement_TechFreshWaterYieldChanges
WHEN NEW.ImprovementType = 'IMPROVEMENT_CAMP'
BEGIN
	INSERT OR REPLACE INTO Improvement_TechFreshWaterYieldChanges
				(ImprovementType,			TechType,		YieldType,		Yield)
	VALUES		('IMPROVEMENT_CAMP_MM_ADV',	NEW.TechType,	NEW.YieldType,	NEW.Yield);
END;

CREATE TRIGGER MM_RM_AdventurerCamp_Yields
AFTER DELETE ON Improvement_Yields
WHEN OLD.ImprovementType = 'IMPROVEMENT_CAMP'
BEGIN
	DELETE FROM Improvement_Yields
	WHERE ImprovementType = 'IMPROVEMENT_CAMP_MM_ADV' AND YieldType = OLD.YieldType;
END;

CREATE TRIGGER MM_RM_AdventurerCamp_YieldPerEra
AFTER DELETE ON Improvement_YieldPerEra
WHEN OLD.ImprovementType = 'IMPROVEMENT_CAMP'
BEGIN
	DELETE FROM Improvement_YieldPerEra
	WHERE ImprovementType = 'IMPROVEMENT_CAMP_MM_ADV' AND YieldType = OLD.YieldType;
END;

CREATE TRIGGER MM_RM_AdventurerCamp_AdjacentCityYields
AFTER DELETE ON Improvement_AdjacentCityYields
WHEN OLD.ImprovementType = 'IMPROVEMENT_CAMP'
BEGIN
	DELETE FROM Improvement_AdjacentCityYields
	WHERE ImprovementType = 'IMPROVEMENT_CAMP_MM_ADV' AND YieldType = OLD.YieldType;
END;

CREATE TRIGGER MM_RM_AdventurerCamp_CoastalLandYields
AFTER DELETE ON Improvement_CoastalLandYields
WHEN OLD.ImprovementType = 'IMPROVEMENT_CAMP'
BEGIN
	DELETE FROM Improvement_CoastalLandYields
	WHERE ImprovementType = 'IMPROVEMENT_CAMP_MM_ADV' AND YieldType = OLD.YieldType;
END;

CREATE TRIGGER MM_RM_AdventurerCamp_Improvement_FreshWaterYields
AFTER DELETE ON Improvement_FreshWaterYields
WHEN OLD.ImprovementType = 'IMPROVEMENT_CAMP'
BEGIN
	DELETE FROM Improvement_FreshWaterYields
	WHERE ImprovementType = 'IMPROVEMENT_CAMP_MM_ADV' AND YieldType = OLD.YieldType;
END;

CREATE TRIGGER MM_RM_AdventurerCamp_HillsYields
AFTER DELETE ON Improvement_HillsYields
WHEN OLD.ImprovementType = 'IMPROVEMENT_CAMP'
BEGIN
	DELETE FROM Improvement_HillsYields
	WHERE ImprovementType = 'IMPROVEMENT_CAMP_MM_ADV' AND YieldType = OLD.YieldType;
END;

CREATE TRIGGER MM_RM_AdventurerCamp_AdjacentMountainYieldChanges
AFTER DELETE ON Improvement_AdjacentMountainYieldChanges
WHEN OLD.ImprovementType = 'IMPROVEMENT_CAMP'
BEGIN
	DELETE FROM Improvement_AdjacentMountainYieldChanges
	WHERE ImprovementType = 'IMPROVEMENT_CAMP_MM_ADV' AND YieldType = OLD.YieldType;
END;

CREATE TRIGGER MM_RM_AdventurerCamp_PrereqNatureYields
AFTER DELETE ON Improvement_PrereqNatureYields
WHEN OLD.ImprovementType = 'IMPROVEMENT_CAMP'
BEGIN
	DELETE FROM Improvement_PrereqNatureYields
	WHERE ImprovementType = 'IMPROVEMENT_CAMP_MM_ADV' AND YieldType = OLD.YieldType;
END;

CREATE TRIGGER MM_RM_AdventurerCamp_RiverSideYields
AFTER DELETE ON Improvement_RiverSideYields
WHEN OLD.ImprovementType = 'IMPROVEMENT_CAMP'
BEGIN
	DELETE FROM Improvement_RiverSideYields
	WHERE ImprovementType = 'IMPROVEMENT_CAMP_MM_ADV' AND YieldType = OLD.YieldType;
END;

CREATE TRIGGER MM_RM_AdventurerCamp_ValidTerrains
AFTER DELETE ON Improvement_ValidTerrains
WHEN OLD.ImprovementType = 'IMPROVEMENT_CAMP'
BEGIN
	DELETE FROM Improvement_ValidTerrains
	WHERE ImprovementType = 'IMPROVEMENT_CAMP_MM_ADV' AND TerrainType = OLD.TerrainType;
END;	

CREATE TRIGGER MM_RM_AdventurerCamp_ValidFeatures
AFTER DELETE ON Improvement_ValidFeatures
WHEN OLD.ImprovementType = 'IMPROVEMENT_CAMP'
BEGIN
	DELETE FROM Improvement_ValidFeatures
	WHERE ImprovementType = 'IMPROVEMENT_CAMP_MM_ADV' AND FeatureType = OLD.FeatureType;
END;	

CREATE TRIGGER MM_RM_AdventurerCamp_ResourceTypes
AFTER DELETE ON Improvement_ResourceTypes
WHEN OLD.ImprovementType = 'IMPROVEMENT_CAMP'
BEGIN
	DELETE FROM Improvement_ResourceTypes
	WHERE ImprovementType = 'IMPROVEMENT_CAMP_MM_ADV' AND ResourceType = OLD.ResourceType;
END;

CREATE TRIGGER MM_RM_AdventurerCamp_ResourceType_Yields
AFTER DELETE ON Improvement_ResourceType_Yields
WHEN OLD.ImprovementType = 'IMPROVEMENT_CAMP'
BEGIN
	DELETE FROM Improvement_ResourceType_Yields
	WHERE ImprovementType = 'IMPROVMENT_CAMP_MM_ADV' AND ResourceType = OLD.ResourceType AND YieldType = OLD.YieldType;
END;

CREATE TRIGGER MM_RM_AdventurerCamp_RouteYieldChanges
AFTER DELETE ON Improvement_RouteYieldChanges
WHEN OLD.ImprovementType = 'IMPROVEMENT_CAMP'
BEGIN
	DELETE FROM Improvement_RouteYieldChanges
	WHERE ImprovementType = 'IMPROVEMENT_CAMP_MM_ADV' AND RouteType = OLD.RouteType AND YieldType = OLD.YieldType;
END;


CREATE TRIGGER MM_RM_AdventurerCamp_TechYieldChanges
AFTER DELETE ON Improvement_TechYieldChanges
WHEN OLD.ImprovementType = 'IMPROVEMENT_CAMP'
BEGIN
	DELETE FROM Improvement_TechYieldChanges
	WHERE ImprovementType = 'IMPROVEMENT_CAMP_MM_ADV' AND TechType = OLD.TechType AND YieldType = OLD.YieldType;
END;

CREATE TRIGGER MM_RM_AdventurerCamp_TechNoFreshWaterYieldChanges
AFTER DELETE ON Improvement_TechNoFreshWaterYieldChanges
WHEN OLD.ImprovementType = 'IMPROVEMENT_CAMP'
BEGIN
	DELETE FROM Improvement_TechNoFreshWaterYieldChanges
	WHERE ImprovementType = 'IMPROVEMENT_CAMP_MM_ADV' AND TechType = OLD.TechType AND YieldType = OLD.YieldType;
END;

CREATE TRIGGER MM_RM_AdventurerCamp_TechFreshWaterYieldChanges
AFTER DELETE ON Improvement_TechFreshWaterYieldChanges
WHEN OLD.ImprovementType = 'IMPROVEMENT_CAMP'
BEGIN
	DELETE FROM Improvement_TechFreshWaterYieldChanges
	WHERE ImprovementType = 'IMPROVEMENT_CAMP_MM_ADV' AND TechType = OLD.TechType AND YieldType = OLD.YieldType;
END;